%global scl_name_base go-toolset
%global scl_name_base_rpm go_toolset
%global scl_name_version 7

%global scl %{scl_name_base}-%{scl_name_version}

%scl_package %scl

%global dockerfiledir %{_datadir}/%{scl_prefix}dockerfiles

Summary: Package that installs %scl
Name: %scl
Version: 1.8
Release: 10%{?dist}
License: GPLv2+
ExclusiveArch:x86_64 aarch64 ppc64le s390x

# How to generate dockerfile tarbal:
# rhpkg clone go-toolset-7-docker
# cd go-toolset-7-docker
# git archive --prefix=go-toolset-7-docker/ -o go-toolset-7-docker-`git rev-parse --short HEAD`.tar.gz HEAD
Source0: %{scl_prefix}docker-dfa24e7.tar.gz

Requires: %{scl}-golang
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%package scldevel
Summary: Package shipping development files for %scl

%description scldevel
Package shipping development files, especially useful for development of
packages depending on %scl Software Collection.

%package dockerfiles
Summary: Package shipping Dockerfiles for go-toolset

%description dockerfiles
This package provides a set of example Dockerfiles that can be used
with go-toolset.

%prep
%setup -c -T -a 0

%install
%scl_install

install -d %{buildroot}%{dockerfiledir}
install -d -p -m 755 %{buildroot}%{dockerfiledir}/rhel7
install -d -p -m 755 %{buildroot}%{dockerfiledir}/rhel7/%{scl_prefix}docker
cp -a %{scl_prefix}docker %{buildroot}%{dockerfiledir}/rhel7

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"
export PKG_CONFIG_PATH="%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}"
if [ -z \${GOPATH+x} ]; then
export GOPATH="\${HOME}/go:/opt/rh/go-toolset-7/root/usr/share/gocode"
else
export GOPATH="\${GOPATH:-}\${GOPATH:+:}%{_datadir}/gocode"
fi
EOF

# This is only needed when you want to provide an optional scldevel subpackage
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel << EOF
%%scl_%{scl_name_base_rpm} %{scl}
EOF

%files

%files runtime -f filelist
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%files dockerfiles
%{dockerfiledir}

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl_name_base}-scldevel

%changelog
* Tue Oct 17 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-10
- improve enable script
- Resolves: rhbz#1501760

* Wed Oct 04 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-9
- Update docker archive

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-8
- NVR bump

* Wed Sep 27 2017 Jakub Čajka <jcajka@redhat.com> - 1.8-7
- Update docker archive

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-6
- Add dockerfiles

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.8-5
- Add stub dockerfiles sub-package

* Thu Jun 29 2017 Jakub Čajka jcajka@redhat.com 1.8-4
- add ExclusiveArches
- Resolves: BZ#1466199

* Wed Jun 21 2017 Jakub Čajka jcajka@redhat.com 1.8-3
- fix macro definition

* Thu Jun 15 2017 Jakub Čajka jcajka@redhat.com 1.8-2
- regular build

* Wed May 10 2017 Jakub Čajka jcajka@redhat.com 1.8-1
- Initial package
